#ifndef SDP_SHEDULER_EMULATOR_H
#define SDP_SHEDULER_EMULATOR_H

#include "utils.h"

#ifdef __cplusplus
extern "C" {
#endif

extern char _scheduler_software_timer;
extern char _scheduler_one_robot_mode;

extern short etching_zone, galvanizing_zone;

void scheduler_main();


// Флаги, которые есть в оригинальной программе на ПЛК, в "C global variables"

// Кнопки с панели
extern char hla_auto_mode;
extern char hla_night_mode;
extern char hla_pause;
extern char hla_correct_command;


// кнопки управления роботом с панели


// кнопка загрузки в зоне 0, означает что барабан надо изъять из этой загрузки (а перед этим создать)
extern char button_load;

// разрешающий сигнал подавать не буду, он не нужен поскольку планировщик нужен всегда

// кнопка выгрузки, означает что барабан нужно вернуть обратно
extern char button_unload;

// кнопка загрузки в зоне 1, означает что барабан в этой зоне подлежит удалению
extern char button_unload_end;

// кнопка загрузки в зоне 22, означает что барабан в этой зоне подлежит удалению
extern char button_unload_remove;


// Переменные, которые надо добавить в C Global variables

// времена для барабанов, нужно копировать их только при создании барабанов
extern short hla_time_degreasing;
extern short hla_time_washing_1a;
extern short hla_time_washing_1b;
extern short hla_time_etching;
extern short hla_time_washing_2a;
extern short hla_time_washing_2b;
extern short hla_time_galvanizing;
extern short hla_time_washing_3a;
extern short hla_time_washing_3b;
extern short hla_time_passivation;
extern short hla_time_washing_4a;
extern short hla_time_washing_4b;

// времена скапывания, одинаковые для всех барабанов
extern short hla_time_digging;
extern short hla_time_reagent;
extern short hla_time_washing_1;
extern short hla_time_washing_2;


// lock-зоны, нельзя двигаться за них и за робота
extern short robot1_lock_zone;
extern short robot2_lock_zone;

extern char hla_robot1_en;
extern char hla_robot2_en;

extern char _scheduler_en;

#ifdef __cplusplus
}
#endif

#endif //SDP_SHEDULER_EMULATOR_H
